
Foreman - Feature #3652

Add explicit way for API consumers to specifiy all pages in an index request

11/14/2013 04:39 PM - Walden Raines

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: API   

Target version:    

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1179096 Red Hat JIRA:  

Pull request:    

Description

From: https://github.com/theforeman/theforeman.org/pull/119/files#r7659148

Currently a user must specify per_page=<some large number> in order to ensure they receive all members of a collection.  We ought

to allow a more explicit method of doing this such as per_page=all.

Related issues:

Related to Hammer CLI - Bug #5073: [RFE] Ability to disable pagination Closed 04/04/2014

Has duplicate Foreman - Feature #3868: Allow users to turn on pagination by e... Duplicate 12/12/2013

Blocks Hammer CLI - Feature #3898: Pagination should be turned off by default... Duplicate 12/17/2013

History

#1 - 12/13/2013 08:40 AM - Dominic Cleal

- Has duplicate Feature #3868: Allow users to turn on pagination by e.g. per_page=0 added

#2 - 02/06/2014 06:37 PM - Dominic Cleal

- Blocks Feature #3898: Pagination should be turned off by default in --csv mode added

#3 - 04/04/2014 01:18 PM - Dominic Cleal

- Related to Bug #5073: [RFE] Ability to disable pagination added

#4 - 01/06/2015 03:22 AM - Tomáš Strachota

- Bugzilla link set to 1179096

#5 - 02/19/2015 03:13 AM - Tom Caspy

- Status changed from New to Duplicate

this is not a bug. csv output is paginated. we can't ensure returning all items, because it will fail for large lists. This ticket is a dup of #3898
